complexType "TradeReferenceInformation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (originatingEvent | terminatingEvent)?, partyTradeIdentifier+, partyTradeInformation*, productType?, productId?
</...>

Content Model Elements (6):

  originatingEvent (in tradeReferenceInformation), partyTradeIdentifier (in tradeReferenceInformation), partyTradeInformation (in tradeReferenceInformation), | productId (in tradeReferenceInformation), productType (in tradeReferenceInformation), terminatingEvent (in tradeReferenceInformation)

All Direct / Indirect Based Elements (1):

  tradeReferenceInformation

Known Usage Locations

- As direct type of elements (1):
  tradeReferenceInformation

Annotation
Defines a type that allows trade identifiers and/or trade information to be represented for a trade.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TradeReferenceInformation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element name="terminatingEvent" type="TerminatingEvent"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="1" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="productType" type="ProductType"/> <xsd:element minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
originatingEvent

  Type: | OriginatingEvent, simple content

  This may be used to describe why a trade was created. This can be used to provide context for a newly created trade that is not part of a post-trade event. For example, it can report that the trade was created as a result of netting activity, or due to a transfer, an allocation process, etc. Omitting this implies that the trade record was created as a result of a negotiated new trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="originatingEvent" type="OriginatingEvent"/>

partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="1" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

partyTradeInformation

  Type: | PartyTradeInformation, complex content

  This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/>

productId

  Type: | ProductId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="productType" type="ProductType"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  This may be used to describe why a trade was terminated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="terminatingEvent" type="TerminatingEvent"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.